#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cross_spawn_1 = require("cross-spawn");
const env = Object.assign({}, process.env);
env['NODE_OPTIONS'] = '--openssl-legacy-provider';
const proc = cross_spawn_1.spawn('node', ['./webpack/devServer.js'], {
    stdio: 'inherit',
    env
});
process.on('SIGTERM', () => proc.kill('SIGTERM'));
process.on('SIGINT', () => proc.kill('SIGINT'));
process.on('SIGBREAK', () => proc.kill('SIGBREAK'));
process.on('SIGHUP', () => proc.kill('SIGHUP'));
proc.on('exit', (code, signal) => {
    let crossEnvExitCode = code;
    if (crossEnvExitCode === null) {
        crossEnvExitCode = signal === 'SIGINT' ? 0 : 1;
    }
    process.exit(crossEnvExitCode);
});
//# sourceMappingURL=serve.js.map